Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Token_Request Class Reference

Message format for delivering requests to the ACE_Token Server. More...

`#include <Token_Request_Reply.h>`

Collaboration diagram for ACE_Token_Request:

[legend]
List of all members.

## Public Types
enum | OPERATION { ACQUIRE, RELEASE, RENEW, REMOVE, TRY_ACQUIRE }
| Operation types. More...
## Public Member Functions
| ACE_Token_Request (void)
| Default constructor.
| ACE_Token_Request (int token_type, int proxy_type, ACE_UINT32 operation, const ACE_TCHAR token_name[], const ACE_TCHAR client_id[], const ACE_Synch_Options &options)
ACE_UINT32 | length (void) const
| Get the length of the encoded/decoded message.
void | length (ACE_UINT32)
| Set the length of the encoded/decoded message.
int | proxy_type (void) const
| Get the type of proxy.
void | proxy_type (int proxy_type)
| Set the type of proxy.
int | token_type (void) const
| Get the type of token.
void | token_type (int token_type)
| Set the type of token.
ACE_UINT32 | operation_type (void) const
| Get the type of the operation.
void | operation_type (ACE_UINT32)
| Set the type of the operation.
ACE_UINT32 | requeue_position (void) const
void | requeue_position (ACE_UINT32)
ACE_UINT32 | notify (void) const
| Get notify. These should be used when acquire is the operation type.
void | notify (ACE_UINT32)
| Set notify. These should be used when acquire is the operation type.
ACE_Synch_Options & | options (void) const
| Get the timeout.
void | options (const ACE_Synch_Options &options)
| Set the timeout.
ACE_TCHAR * | token_name (void) const
ACE_TCHAR * | client_id (void) const
void | token_name (const ACE_TCHAR *token_name, const ACE_TCHAR *client_id)
int | encode (void *&)
| Encode the message before transmission.
int | decode (void)
void | dump (void) const
| Print out the values of the message for debugging purposes.
## Private Attributes
ACE_Token_Request::Transfer | transfer_
ACE_TCHAR * | token_name_
| Pointer to the beginning of the token name in this->data_.
ACE_TCHAR * | client_id_
| Pointer to the beginning of the client id in this->data_;.
ACE_Synch_Options | options_
| Holds arg, sec, usec, etc.

## Detailed Description

Message format for delivering requests to the ACE_Token Server.

This class is implemented to minimize data copying. In particular, all marshaling is done in situ...

## Member Enumeration Documentation

enum ACE_Token_Request::OPERATION

  | Operation types. Enumeration values:
  ACQUIRE | Acquire the token.
  RELEASE | Release the token.
  RENEW | Renew the token.
  REMOVE | Remove the token.
  TRY_ACQUIRE |

## Constructor & Destructor Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_Token_Request::ACE_Token_Request | ( | void |  | ) |

| Default constructor.

ACE_Token_Request::ACE_Token_Request | ( | int | token_type,
|  | int | proxy_type,
|  | ACE_UINT32 | operation,
|  | const ACE_TCHAR | token_name[],
|  | const ACE_TCHAR | client_id[],
|  | const ACE_Synch_Options & | options
| ) |

  | Parameters:
  | token_type | MUTEX, RWLOCK
  | proxy_type | MUTEX, RLOCK, WLOCK (acquires mean different things)
  | operation | method
  | token_name |
  | client_id |
  | options | We check USE_TIMEOUT and use the arg.

## Member Function Documentation

ACE_TCHAR* ACE_Token_Request::client_id | ( | void |  | ) | const

int ACE_Token_Request::decode | ( | void |  | ) |

| Decode message after reception. This must be called to set the internal options.

void ACE_Token_Request::dump | ( | void |  | ) | const

| Print out the values of the message for debugging purposes.

int ACE_Token_Request::encode | ( | void *& |  | ) |

| Encode the message before transmission.

void ACE_Token_Request::length | ( | ACE_UINT32 |  | ) |

| Set the length of the encoded/decoded message.

ACE_UINT32 ACE_Token_Request::length | ( | void |  | ) | const

| Get the length of the encoded/decoded message.

void ACE_Token_Request::notify | ( | ACE_UINT32 |  | ) |

| Set notify. These should be used when acquire is the operation type.

ACE_UINT32 ACE_Token_Request::notify | ( | void |  | ) | const

| Get notify. These should be used when acquire is the operation type.

void ACE_Token_Request::operation_type | ( | ACE_UINT32 |  | ) |

| Set the type of the operation.

ACE_UINT32 ACE_Token_Request::operation_type | ( | void |  | ) | const

| Get the type of the operation.

void ACE_Token_Request::options | ( | const ACE_Synch_Options & | options | ) |

| Set the timeout.

ACE_Synch_Options& ACE_Token_Request::options | ( | void |  | ) | const

| Get the timeout.

void ACE_Token_Request::proxy_type | ( | int | proxy_type | ) |

| Set the type of proxy.

int ACE_Token_Request::proxy_type | ( | void |  | ) | const

| Get the type of proxy.

void ACE_Token_Request::requeue_position | ( | ACE_UINT32 |  | ) |

| Set the requeue position. These should be used when renew is the operation type.

ACE_UINT32 ACE_Token_Request::requeue_position | ( | void |  | ) | const

| Get the requeue position. These should be used when renew is the operation type.

void ACE_Token_Request::token_name | ( | const ACE_TCHAR * | token_name,
|  | const ACE_TCHAR * | client_id
| ) |

ACE_TCHAR* ACE_Token_Request::token_name | ( | void |  | ) | const

void ACE_Token_Request::token_type | ( | int | token_type | ) |

| Set the type of token.

int ACE_Token_Request::token_type | ( | void |  | ) | const

| Get the type of token.

## Member Data Documentation

ACE_TCHAR* ACE_Token_Request::client_id_`[private]`

| Pointer to the beginning of the client id in this->data_;.

ACE_Synch_Options ACE_Token_Request::options_`[private]`

| Holds arg, sec, usec, etc.

ACE_TCHAR* ACE_Token_Request::token_name_`[private]`

| Pointer to the beginning of the token name in this->data_.

struct ACE_Token_Request::Transfer ACE_Token_Request::transfer_`[private]`

The documentation for this class was generated from the following files:

- Token_Request_Reply.h
- Token_Request_Reply.cpp